<?php
	/*
		Plugin Name: Emlak Kulisi
		Plugin URI: http://www.emlakkulisi.com/sitene-ekle
		Description: EmlakKulisi en son emlak haberleri
		Version: 1.0
		Author: Hüseyin Duygun
		Author URI: http://huseyin.duygun.org
		License: GPL2
	*/

	function emlakKulisi_admin_js() {
	?>
			<style type="text/css">
				.renkVar{
					float: right;
				}
				.RenkDiv{
					overflow: hidden;
				}
			</style>
	<?php
	}
	if(is_admin()){
		wp_enqueue_style( 'wp-color-picker' );        
		wp_enqueue_script( 'wp-color-picker' );
		add_action('admin_footer', 'emlakKulisi_admin_js');
	}

	class emlakKulisi_plugin extends WP_Widget {
		function emlakKulisi_plugin() {
			parent::WP_Widget(false, $name = __('Emlak Kulisi Widget', 'emlakKulisi_plugin') );
		}

		function form($instance) {
			$kategoriler = array();
			$kategoriler['son'] = 'Son Haberler';
			$kategoriler['cok'] = 'En Çok Okunanlar';
			$kategoriler[14] = 'Arsa ve Arazi';
			$kategoriler[52] = 'AVM';
			$kategoriler[45] = 'Bölge Raporları';
			$kategoriler[31] = 'Dekorasyon';
			$kategoriler[25] = 'Devre Mülk';
			$kategoriler[20] = 'Dış Piyasalar';
			$kategoriler[32] = 'Eğitim';
			$kategoriler[6] = 'Emlak Konut';
			$kategoriler[48] = 'Emlak Terimleri';
			$kategoriler[55] = 'Emlakta Nostalji';
			$kategoriler[24] = 'Genel';
			$kategoriler[22] = 'GYO';
			$kategoriler[34] = 'Hangi Proje Ne Zaman Nerede ?';
			$kategoriler[15] = 'İhale';
			$kategoriler[54] = 'İlginç Projeler';
			$kategoriler[30] = 'İmar';
			$kategoriler[27] = 'İnşaat Malzemeleri';
			$kategoriler[10] = 'İş Fırsatları';
			$kategoriler[26] = 'Kent Haberleri';
			$kategoriler[29] = 'Kentsel Dönüşüm';
			$kategoriler[57] = 'Kesintiler';
			$kategoriler[16] = 'Kim Kimdir?';
			$kategoriler[8] = 'KİPTAŞ';
			$kategoriler[17] = 'Kira';
			$kategoriler[3] = 'Konut';
			$kategoriler[49] = 'Konut Şirketleri';
			$kategoriler[50] = 'Köşe yazıları';
			$kategoriler[23] = 'Magazin';
			$kategoriler[51] = 'Merak Edilenler';
			$kategoriler[46] = 'Mimari Tasarımlar';
			$kategoriler[28] = 'Mimarlık';
			$kategoriler[43] = 'Mortgage';
			$kategoriler[47] = 'Perakende';
			$kategoriler[33] = 'Proje Güncel';
			$kategoriler[12] = 'Sektörel';
			$kategoriler[19] = 'Sigorta';
			$kategoriler[13] = 'Ticari';
			$kategoriler[5] = 'Toki';
			$kategoriler[18] = 'Turizm';
			$kategoriler[53] = 'Ulaşım';
			$kategoriler[21] = 'Vergi';
			$kategoriler[56] = 'Video';
			$kategoriler[9] = 'Yazlık';
			$kategoriler[4] = 'Yeni Projeler';
			$kategoriler[11] = 'Yeni Şirketler';
			if( $instance) {
				 $title = esc_attr($instance['title']);
				 $arkaplan = esc_attr($instance['arkaplan']);
				 $kategori = esc_attr($instance['kategori']);
				 $limit = esc_attr($instance['limit']);
				 $genisligi = esc_attr($instance['genisligi']);
				 $yuksekligi = esc_attr($instance['yuksekligi']);
				 $baslikRenk = esc_attr($instance['baslikRenk']);
				 $baslikYazi = esc_attr($instance['baslikYazi']);
				 $link_rengi = esc_attr($instance['link_rengi']);
				 $border = esc_attr($instance['border']);
				 $gorsel = esc_attr($instance['gorsel']);
			} else {
				 $title = '';
				 $arkaplan = '#ffffff';
				 $kategori = 'son';
				 $limit = '5';
				 $genisligi = '250';
				 $yuksekligi = '350';
				 $baslikRenk = '#2f2f2f';
				 $baslikYazi = '#ffffff';
				 $link_rengi = '#565656';
				 $border = '#cccccc';
				 $gorsel = 'on';
			}
			?>

			<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Widget Başlık</label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
			</p>

			<p>
			<label for="<?php echo $this->get_field_id('genisligi'); ?>">Kategori</label>
			<select name="<?php echo $this->get_field_name('kategori'); ?>" id="<?php echo $this->get_field_id('kategori'); ?>">
				<?php foreach ($kategoriler as $key => $value) {
					if($key == $kategori){
						echo '<option value="'.$key.'" selected="selected">'.$value.'</option>';
					}else{
						echo '<option value="'.$key.'">'.$value.'</option>';
					}
				}
			?>
            </select>
			</p>
			<p>
			<label for="<?php echo $this->get_field_id('genisligi'); ?>">Limit</label>
			<select name="<?php echo $this->get_field_name('limit'); ?>" id="<?php echo $this->get_field_id('limit'); ?>">
            <?php for($i=5;$i<=15;$i++){?>
              <option value="<?php echo $i;?>"<?php echo $i == $limit ? ' selected="selected"':'';?>><?php echo $i;?></option>
              <?php }?>
            </select>
			</p>
			<p>
			<label for="<?php echo $this->get_field_id('genisligi'); ?>">Genişliği</label>
			<input class="widefat" id="<?php echo $this->get_field_id('genisligi'); ?>" name="<?php echo $this->get_field_name('genisligi'); ?>" type="text" value="<?php echo $genisligi; ?>" />
			</p>
			<p>
			<label for="<?php echo $this->get_field_id('yuksekligi'); ?>">Yüksekliği</label>
			<input class="widefat" id="<?php echo $this->get_field_id('yuksekligi'); ?>" name="<?php echo $this->get_field_name('yuksekligi'); ?>" type="text" value="<?php echo $yuksekligi; ?>" />
			</p>
			<div class="RenkDiv">
			<label for="<?php echo $this->get_field_id('arkaplan'); ?>">ArkaPlan Rengi</label>
			<span class="renkVar">
				<input class="widefat EMcolor-picker" id="<?php echo $this->get_field_id('arkaplan'); ?>" name="<?php echo $this->get_field_name('arkaplan'); ?>" type="text" value="<?php echo $arkaplan; ?>" />
			</span>
			</div>
			<div class="RenkDiv">
			<label for="<?php echo $this->get_field_id('baslikRenk'); ?>">Başlık Arkaplan Rengi</label>
			<span class="renkVar">
				<input class="widefat EMcolor-picker" id="<?php echo $this->get_field_id('baslikRenk'); ?>" name="<?php echo $this->get_field_name('baslikRenk'); ?>" type="text" value="<?php echo $baslikRenk; ?>" />
			</span>
			</div>
			<div class="RenkDiv">
			<label for="<?php echo $this->get_field_id('baslikYazi'); ?>">Başlık Rengi</label>
			<span class="renkVar">
				<input class="widefat EMcolor-picker" id="<?php echo $this->get_field_id('baslikYazi'); ?>" name="<?php echo $this->get_field_name('baslikYazi'); ?>" type="text" value="<?php echo $baslikYazi; ?>" />
			</span>
			</div>
			<div class="RenkDiv">
			<label for="<?php echo $this->get_field_id('link_rengi'); ?>">Link Rengi</label>
			<span class="renkVar">
				<input class="widefat EMcolor-picker" id="<?php echo $this->get_field_id('link_rengi'); ?>" name="<?php echo $this->get_field_name('link_rengi'); ?>" type="text" value="<?php echo $link_rengi; ?>" />
			</span>
			</div>
			<div class="RenkDiv">
			<label for="<?php echo $this->get_field_id('border'); ?>">Border Rengi</label>
			<span class="renkVar">
				<input class="widefat EMcolor-picker" id="<?php echo $this->get_field_id('border'); ?>" name="<?php echo $this->get_field_name('border'); ?>" type="text" value="<?php echo $border; ?>" />
			</span>
			</div>
			<p>
                <input class="checkbox" type="checkbox" <?php checked($instance['gorsel'], 'on'); ?> id="<?php echo $this->get_field_id('gorsel'); ?>" name="<?php echo $this->get_field_name('gorsel'); ?>" /> 
                <label for="<?php echo $this->get_field_id('gorsel'); ?>">Haber Görseli</label>
  			  </p>
				
	<?php
			if(isset($_POST)){
				?>

<script type="text/javascript">
				jQuery(document).ready(function($) {
					jQuery('.EMcolor-picker').each(function(){
						if(!$( this ).hasClass( "abcd" )){
							$(this).addClass('abcd').wpColorPicker({hide: true, palettes:true});
						}
					});
				}); 
			</script>
				<?php
			}
		}

		function update($new_instance, $old_instance) {
			$instance = $old_instance;
			// Fields
			$instance['title'] = strip_tags($new_instance['title']);
			$instance['arkaplan'] = strip_tags($new_instance['arkaplan']);
			$instance['kategori'] = strip_tags($new_instance['kategori']);
			$instance['limit'] = strip_tags($new_instance['limit']);
			$instance['genisligi'] = strip_tags($new_instance['genisligi']);
			$instance['yuksekligi'] = strip_tags($new_instance['yuksekligi']);
			$instance['baslikRenk'] = strip_tags($new_instance['baslikRenk']);
			$instance['baslikYazi'] = strip_tags($new_instance['baslikYazi']);
			$instance['link_rengi'] = strip_tags($new_instance['link_rengi']);
			$instance['border'] = strip_tags($new_instance['border']);
			$instance['gorsel'] = strip_tags($new_instance['gorsel']);
			return $instance;
		}

		function widget($args, $instance) {
			extract( $args );
			// these are the widget options
			$title = apply_filters('widget_title', $instance['title']);
			$arkaplan = str_replace('#','',$instance['arkaplan']);
			$genisligi = $instance['genisligi'];
			$yuksekligi = $instance['yuksekligi'];
			$kategori = $instance['kategori'];
			$limit = $instance['limit'];
			$baslikRenk = str_replace('#','',$instance['baslikRenk']);
			$baslikYazi = str_replace('#','',$instance['baslikYazi']);
			$link_rengi = str_replace('#','',$instance['link_rengi']);
			$border = str_replace('#','',$instance['border']);
			$gorsel = ($instance['gorsel']) ? true : false;
			echo $before_widget;
			// Display the widget
			echo '<div class="widget-text wp_widget_plugin_box">';

			// Check if title is set
			if ( $title ) {
				echo $before_title . $title . $after_title;
			}
			echo '<p class="wp_widget_plugin_text"><div style="width:'.$genisligi.'px"><div style="padding: 10px 10px 10px 50px; background: #'.$baslikRenk.' url(http://emlakkulisi.com/sitene-ekle/assets/images/icon.png) left no-repeat; color: #'.$baslikYazi.'; font: 1.2em \'Lato\',Arial; position: relative;margin: -1px -1px 0;"><a href="http://emlakkulisi.com/" style="color:#'.$baslikYazi.';text-decoration:none" title="Emlak Haberleri">Emlak Haberleri</a></div><iframe src="http://emlakkulisi.com/sitene-ekle/embed.php?limit='.$limit.'&kategori='.$kategori.'&arkaplan='.$arkaplan.'&baslikRenk='.$baslikRenk.'&baslikYazi='.$baslikYazi.'&linkRengi='.$link_rengi.'&border='.$border.($gorsel ? '&gorsel':'').'" frameborder="0" width="'.$genisligi.'" height="'.($yuksekligi - 38).'"></iframe></p></div>';
			echo '</div>';
			echo $after_widget;
		}
	}
	function emlakKulisi_register_widgets() {
		register_widget( 'emlakKulisi_plugin' );
	}
	add_action('widgets_init', 'emlakKulisi_register_widgets');
?>